<?php
	function afficherMoyenneGlobale()
	{
		global $connexion;

		$html = '';

		$userID = $_SESSION['usagerConsultIsoActif']->u_id;
		$userARSE = $_SESSION['usagerConsultIsoActif']->u_region;

		// Si on reçoit cette donnée dans le $_GET, c'est pour afficher
		// afficher les données d'une saison antérieure
		if (isset($_GET['saison']))
		{
			$saison = $_GET['saison'];
			$saisonPourQuery = '_' . str_replace('-', '_', $saison);
		}
		else
		{
			// Saison courante
			$saison = '2023-2024';
			$saisonPourQuery = '';
		}

		$primaireMax = 0;
		$primaireTotal = 0;

		$secondaireMax = 0;
		$secondaireTotal = 0;

		$html .= '<br />';

		$html .= '<strong style="font-size:24px;">' . $saison . '</strong>';

		$html .= '<br />';
		$html .= '<br />';
		$html .= '<div class="horizontalLine"></div>';
		$html .= '<br />';

		$html .= '<strong style="font-size:18px;">Moyenne globale</strong>';

		$html .= '<br />';


		########################################################################
		### PRIMAIRE ###########################################################
		########################################################################
		// On va chercher les formulaire primaire complets
		
		if ($saison == '2013-2014' || $saison == '2014-2015')
		{
			$requete = 'SELECT
			COUNT(*) AS totalFormsComplets,
			SUM(fp_q1+fp_q2+fp_q3+fp_q4+fp_q5+fp_q6+fp_q7+fp_q81+fp_q82+fp_q83+fp_q9+fp_q10+fp_q11) AS totalPointsFormsComplets
			FROM isoactif_t_form_p' . $saisonPourQuery . '
			WHERE fp_complet = \'oui\'';
		}
		else if ($saison == '2015-2016' || $saison == '2016-2017')
		{
			$requete = 'SELECT
			COUNT(*) AS totalFormsComplets,
			SUM(fp_q1+fp_q2+fp_q3+fp_q4+fp_q6+fp_q7+fp_q81+fp_q82+fp_q83+fp_q9+fp_q10+fp_q11) AS totalPointsFormsComplets
			FROM isoactif_t_form_p' . $saisonPourQuery . '
			WHERE fp_complet = \'oui\'';
		}
		else if ($saison == '2017-2018' || $saison == '2018-2019') // 2018-2019++
		{
			$requete = 'SELECT
			COUNT(*) AS totalFormsStarted,
			SUM(IFNULL(fp_q1, 0) + IFNULL(fp_q2_1, 0)+IFNULL(fp_q2_2, 0)+IFNULL(fp_q3_1, 0)+IFNULL(fp_q3_2, 0)+IFNULL(fp_q4, 0)+IFNULL(fp_q5, 0)+IFNULL(fp_q6, 0)+IFNULL(fp_q7_1, 0)+IFNULL(fp_q7_2, 0)+IFNULL(fp_q8, 0)+IFNULL(fp_q9, 0)+IFNULL(fp_q10, 0)) AS totalPointsFormsComplets
			FROM isoactif_form_p' . $saisonPourQuery;
		}
		
		else if ($saison == '2019-2020' || $saison == '2020-2021') // 2019-2020++
		{
			$requete = 'SELECT
			COUNT(*) AS totalFormsStarted,
			SUM(IFNULL(fp_q1, 0) + IFNULL(fp_q2_1, 0)+IFNULL(fp_q2_2, 0)+IFNULL(fp_q3_1, 0)+IFNULL(fp_q3_2, 0)+IFNULL(fp_q4, 0)+IFNULL(fp_q5, 0)+IFNULL(fp_q6, 0)+IFNULL(fp_q7_1, 0)+IFNULL(fp_q7_2, 0)+IFNULL(fp_q8, 0)+IFNULL(fp_q9, 0)+IFNULL(fp_q10, 0)) AS totalPointsFormsComplets
			FROM isoactif_form_p' . $saisonPourQuery;
		}
		
		else if ($saison == '2022-2023' || $saison == '2023-2024') // 2019-2020++
		{
			$requete = 'SELECT
			COUNT(*) AS totalFormsStarted,
			SUM(IFNULL(fp_q1, 0) + IFNULL(fp_q2_1, 0)+IFNULL(fp_q2_2, 0)+IFNULL(fp_q3_1, 0)+IFNULL(fp_q3_2, 0)+IFNULL(fp_q4, 0)+IFNULL(fp_q5, 0)+IFNULL(fp_q6, 0)+IFNULL(fp_q7_1, 0)+IFNULL(fp_q7_2, 0)+IFNULL(fp_q8, 0)+IFNULL(fp_q9, 0)+IFNULL(fp_q10, 0)) AS totalPointsFormsComplets
			FROM isoactif_form_p' . $saisonPourQuery;
		}

		if(!$resultat = $connexion->query($requete)){ die('POINTS : There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();

		if ($saison == '2013-2014' || $saison == '2014-2015')
			$primaireMax = $ligne['totalFormsComplets'] * 75;
		else if ($saison == '2015-2016' || $saison == '2016-2017')
			$primaireMax = $ligne['totalFormsComplets'] * 69;
		else if ($saison == '2017-2018' || $saison == '2018-2019') // 2018-2019++
		    $primaireMax = $ligne['totalFormsStarted'] * 50;
		else if ($saison == '2019-2020' || $saison == '2020-2021') 
		    $primaireMax = $ligne['totalFormsStarted'] * 50;
		else if ($saison == '2022-2023' || $saison == '2023-2024') 
		    $primaireMax = $ligne['totalFormsStarted'] * 50;
		

		$primaireTotal = $ligne['totalPointsFormsComplets'];

		$resultat->free();

		// Si aucun formulaire primaire complété
		if ($primaireMax == 0)
		{
			$html .= '<br />';
			$html .= '<strong>PRIMAIRE :</strong> Aucun formulaire compl&eacute;t&eacute;';
		}
		else
		{
			$pctgTotalP = ($primaireTotal * 100) / $primaireMax;
			$pctgTotalP = round($pctgTotalP);

			$html .= '<br />';
			$html .= '<strong>PRIMAIRE :</strong> ' . $primaireTotal . '/' . $primaireMax . ' (' . $pctgTotalP . '%) - ';

			$html .= afficherCertificationPrimaire($pctgTotalP);
		}
		##############################################################################
		##############################################################################
		##############################################################################




		##############################################################################
		### SECONDAIRE ###############################################################
		##############################################################################
		// On va chercher les formulaire primaire complets
		if ($saison == '2013-2014' || $saison == '2014-2015')
		{
			$requete = 'SELECT
			COUNT(*) AS totalFormsComplets,
			SUM(fs_q1+fs_q2+fs_q3+fs_q4+fs_q5+fs_q6+fs_q71+fs_q72+fs_q73+fs_q81+fs_q82+fs_q83+fs_q91+fs_q92+fs_q10+fs_q11) AS totalPointsFormsComplets
			FROM isoactif_t_form_s' . $saisonPourQuery . '
			WHERE fs_complet = \'oui\'';
		}
		else if ($saison == '2015-2016' || $saison == '2016-2017')
		{
			$requete = 'SELECT
			COUNT(*) AS totalFormsComplets,
			SUM(fs_q1+fs_q2+fs_q3+fs_q4+fs_q6+fs_q71+fs_q72+fs_q73+fs_q81+fs_q82+fs_q83+fs_q91+fs_q92+fs_q10+fs_q11) AS totalPointsFormsComplets
			FROM isoactif_t_form_s' . $saisonPourQuery . '
			WHERE fs_complet = \'oui\'';
		}
		else if ($saison == '2017-2018' || $saison == '2018-2019') // 2018-2019++
		{
			$requete = 'SELECT
			COUNT(*) AS totalFormsStarted,
			SUM(IFNULL(fs_q1, 0) + IFNULL(fs_q2, 0)+IFNULL(fs_q3_1, 0)+IFNULL(fs_q3_2, 0)+IFNULL(fs_q4, 0)+IFNULL(fs_q5, 0)+IFNULL(fs_q6_1, 0)+IFNULL(fs_q6_boni, 0)+IFNULL(fs_q6_2, 0)+IFNULL(fs_q7, 0)+IFNULL(fs_q8, 0)+IFNULL(fs_q8_boni, 0)+IFNULL(fs_q9, 0)+IFNULL(fs_q9_boni, 0)+IFNULL(fs_q10, 0)) AS totalPointsFormsComplets
			FROM isoactif_form_s' . $saisonPourQuery;
		}
		else if ($saison == '2019-2020' || $saison == '2020-2021') // 2019-2020++
		{
			$requete = 'SELECT
			COUNT(*) AS totalFormsStarted,
			SUM(IFNULL(fs_q1, 0) + IFNULL(fs_q2, 0)+IFNULL(fs_q3_1, 0)+IFNULL(fs_q3_2, 0)+IFNULL(fs_q4, 0)+IFNULL(fs_q5, 0)+IFNULL(fs_q6_1, 0)+IFNULL(fs_q6_boni, 0)+IFNULL(fs_q6_2, 0)+IFNULL(fs_q7, 0)+IFNULL(fs_q8, 0)+IFNULL(fs_q8_boni, 0)+IFNULL(fs_q9, 0)+IFNULL(fs_q9_boni, 0)+IFNULL(fs_q10, 0)) AS totalPointsFormsComplets
			FROM isoactif_form_s' . $saisonPourQuery;
		}	
		else if ($saison == '2022-2023' || $saison == '2023-2024') // 2019-2020++
		{
			$requete = 'SELECT
			COUNT(*) AS totalFormsStarted,
			SUM(IFNULL(fs_q1, 0) + IFNULL(fs_q2, 0)+IFNULL(fs_q3_1, 0)+IFNULL(fs_q3_2, 0)+IFNULL(fs_q4, 0)+IFNULL(fs_q5, 0)+IFNULL(fs_q6_1, 0)+IFNULL(fs_q6_boni, 0)+IFNULL(fs_q6_2, 0)+IFNULL(fs_q7, 0)+IFNULL(fs_q8, 0)+IFNULL(fs_q8_boni, 0)+IFNULL(fs_q9, 0)+IFNULL(fs_q9_boni, 0)+IFNULL(fs_q10, 0)) AS totalPointsFormsComplets
			FROM isoactif_form_s' . $saisonPourQuery;
		}	

		if(!$resultat = $connexion->query($requete)){ die('POINTS S : There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();

		if ($saison == '2013-2014' || $saison == '2014-2015')
			$secondaireMax = $ligne['totalFormsComplets'] * 86;
		else if ($saison == '2015-2016' || $saison == '2016-2017')
			$secondaireMax = $ligne['totalFormsComplets'] * 80;
		else if ($saison == '2017-2018' || $saison == '2018-2019') // 2018-2019++
			$secondaireMax = $ligne['totalFormsStarted'] * 50;
		else if ($saison == '2019-2020' || $saison == '2020-2021') // 2019-2020++
	        $secondaireMax = $ligne['totalFormsStarted'] * 50;	
	    else if ($saison == '2022-2023' || $saison == '2023-2024') // 2019-2020++
	        $secondaireMax = $ligne['totalFormsStarted'] * 50;

		$secondaireTotal = $ligne['totalPointsFormsComplets'];

		$resultat->free();

		// Si aucun formulaire secondaire complété
		if ($secondaireMax == 0)
		{
			$html .= '<br />';
			$html .= '<strong>SECONDAIRE :</strong> Aucun formulaire compl&eacute;t&eacute;';
		}
		else
		{
			$pctgTotalS = ($secondaireTotal * 100) / $secondaireMax;
			$pctgTotalS = round($pctgTotalS);

			$html .= '<br />';
			$html .= '<strong>SECONDAIRE :</strong> ' . $secondaireTotal . '/' . $secondaireMax . ' (' . $pctgTotalS . '%) - ';

			$html .= afficherCertificationPrimaire($pctgTotalS);
		}
		##############################################################################
		##############################################################################
		##############################################################################




		###################################################################################################################
		### Pour faire apparaître le nombre total d'étudiants des écoles inscrites à ISO-Actif pour la saison courante ####
		###################################################################################################################
		if ($_SESSION['usagerConsultIsoActif']->u_region == 99)
		{
			if ($saison != '2023-2024')
			{
				// Primaire
				$requete = 'SELECT SUM(u_e_nb_etud_g + u_e_nb_etud_f) as total FROM isoactif_t_usager_ecole,isoactif_t_form_p' . $saisonPourQuery . ' WHERE u_id = fp_u_id_fk AND u_g_prisec = \'P\'';
				if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
				$ligne = $resultat->fetch_assoc();
				$nbEtudPrimaire = $ligne['total'];

				// Secondaire
				$requete = 'SELECT SUM(u_e_nb_etud_g + u_e_nb_etud_f) as total FROM isoactif_t_usager_ecole,isoactif_t_form_s' . $saisonPourQuery . ' WHERE u_id = fs_u_id_fk AND u_g_prisec = \'S\'';
				if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
				$ligne = $resultat->fetch_assoc();
				$nbEtudSecondaire = $ligne['total'];
			}
			else
			{
				// Primaire
				$requete = 'SELECT SUM(u_e_nb_etud_g + u_e_nb_etud_f) as total FROM isoactif_t_usager_ecole,isoactif_form_p' . $saisonPourQuery . ' WHERE u_id = fp_u_id_fk AND u_g_prisec = \'P\'';
				if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
				$ligne = $resultat->fetch_assoc();
				$nbEtudPrimaire = $ligne['total'];

				// Secondaire
				$requete = 'SELECT SUM(u_e_nb_etud_g + u_e_nb_etud_f) as total FROM isoactif_t_usager_ecole,isoactif_form_s' . $saisonPourQuery . ' WHERE u_id = fs_u_id_fk AND u_g_prisec = \'S\'';
				if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
				$ligne = $resultat->fetch_assoc();
				$nbEtudSecondaire = $ligne['total'];
			}

			$grandTotalNbEtud = $nbEtudPrimaire + $nbEtudSecondaire;

			$html .= '<br style="clear:both;" />';
			$html .= '<br style="clear:both;" />';
			$html .= '<br style="clear:both;" />';

			$html .= '<strong>Nombre d\'&eacute;tudiants total:</strong> ' . $grandTotalNbEtud;
		}
		################################################################################################################
		### FIN - Pour faire apparaître le nombre total d'étudiants des écoles inscrites à ISO-Actif 2010-2011 #########
		################################################################################################################

		return utf8_decode($html);
	}

	/*
	function pourAffichageCertificationGlobale($pourcentage)
	{
		$html = '';

		if ($pourcentage <= 59)
			$html .= '<img src="../images/iso_participation_p.gif" border="0" alt="ISO-ACTIF - Participation" /> (Participation)';
		else if ($pourcentage >= 60 && $pourcentage <= 69)
			$html .= '<img src="../images/iso_bronze_p.gif" border="0" alt="ISO-ACTIF - Bronze" /> (Bronze)';
		else if ($pourcentage >= 70 && $pourcentage <= 79)
			$html .= '<img src="../images/iso_argent_p.gif" border="0" alt="ISO-ACTIF - Argent" /> (Argent)';
		else if ($pourcentage >= 80 && $pourcentage <= 89)
			$html .= '<img src="../images/iso_or_p.gif" border="0" alt="ISO-ACTIF - Or" /> (Or)';
		else if ($pourcentage >= 90)
			$html .= '<img src="../images/iso_excellence_p.gif" border="0" alt="ISO-ACTIF - Excellence" /> (Excellence)';

		return $html;
	}
	*/
?>
